# Class AuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.a11y.brlapi.ProgramException
org.a11y.brlapi.ExternalException
org.a11y.brlapi.ConnectException
org.a11y.brlapi.AuthenticationException

All Implemented Interfaces:
  `Serializable`

public class AuthenticationException extends ConnectException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationException(String scheme)`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getScheme()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationException

public AuthenticationException(String scheme)

## Method Details

### getScheme

public final String getScheme()